/*******************************************************
 *
 * $Id: RectangleScreen.h,v 1.8 2003/05/29 15:40:15 teacy Exp $
 *
 * This file has been placed in the public domain.
 *
 *******************************************************/


#ifndef RECTANGLE_SCREEN_H
#define RECTANGLE_SCREEN_H

#include <PalmOS.h>

#include "Sections.h"
#include "app/Screen.h"



/**
 * Screen that paints lots of colored rectangles.
 */
class RectangleScreen : public Screen
{
	/**
	 * The persistent internal state of the RectangleScreen.
	 */
	struct RectangleScreenState
	{
		UInt32 periodCounter;
	};


	public:
	SCREEN_PUBLIC_OPS(RectangleScreen)

	UInt32 getAdvanceTimeInterval() SEC_GAME;

///@name Persistence
//@{
	/**
	 * Return a descriptor for a freshly initialized state. 
	 */
	static StateDescriptor *createStateDescriptor() SEC_GAME;
//@}

	private:	

	//
	// Declare your private operations here
	//
	
	// No private operations in this sample project
	
	
	//
	// Declare your private data structures and attributes here
	//

	// The following declarations are part of the sample project, and need to be replaced by you
	RectangleScreenState *state;
	Boolean exitScreen;
	// End of declarations from sample project
};


#endif
