/*******************************************************
 *
 * $Id: MyActionEngine.h,v 1.8 2003/03/17 22:38:33 teacy Exp $
 *
 * This file has been placed in the public domain.
 *
 *******************************************************/


#ifndef MYACTIONENGINE_H
#define MYACTIONENGINE_H

#include "Sections.h"
#include <PalmOS.h>

#include "Customization.h"
#include "app/ActionEngine.h"



/**
 * MyActionEngine is your customized version of the ActionEngine. Use this file
 * to declare the attributes and operations of MyActionEngine.
 */
class MyActionEngine : public ActionEngine
{
	/**
	 * The persistent state of the MyActionEngine.
	 */
	struct MyActionEngineState
	{
		UInt16 currentScreen;
	};


	public:
	MYACTIONENGINE_PUBLIC_OPS

	private:
	//
	// Declare your private operations here
	//
	
	/**
	 * Return a descriptor for a freshly initialized state. 
	 */
	static StateDescriptor *createStateDescriptor() SEC_GAME;

	
	//
	// Declare your private data structures and attributes here
	//
	MyActionEngineState *state;
};


#endif
